//
//  FlipsideViewController.h
//  ex_UtilityAppTemplate-2
//
//  Created by yoshiyuki oshige on 2013/09/04.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import <UIKit/UIKit.h>

@class FlipsideViewController;

//デリゲートメソッドプロトコルの定義
@protocol FlipsideViewControllerDelegate
//デリゲートメソッドの宣言
- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller configDic:(NSMutableDictionary *)dic;
@end

@interface FlipsideViewController : UIViewController
//デリゲート先を設定するプロパティ
@property (weak, nonatomic) id <FlipsideViewControllerDelegate> delegate;
//戻りボタンのメソッド宣言
- (IBAction)done:(id)sender;
//各部品の値を設定する
- (void)setConfigureDic:(NSMutableDictionary *)configDic;

@end
