//
//  DetailViewController.m
//  ex_MasterDetailURLlist
//
//  Created by yoshiyuki oshige on 2013/09/06.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "DetailViewController.h"

@interface DetailViewController ()
- (void)configureView;
@end

@implementation DetailViewController

#pragma mark - Managing the detail item

//マスターシーンからURLを受け取る
- (void)setDetailItem:(id)newDetailItem
{
    //URL を更新する
    if (_detailItem != newDetailItem) {
        _detailItem = newDetailItem;
        // ビューを更新する
        [self configureView];
    }
}

//Webを表示する
- (void)configureView
{
    // Update the user interface for the detail item.
    if (self.detailItem) {
        //URLオブジェクトを作る
        NSURL *url = [NSURL URLWithString:_detailItem];
        //URLリクエストオブジェクトを作る
        NSURLRequest *urlReq = [NSURLRequest requestWithURL:url];
        //WebビューにWebページを読み込む
        [_myWebView loadRequest:urlReq];
    }
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    [self configureView];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
